Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class TransferFieldManager

    java.lang.Object
      org.apache.openjpa.kernel.TransferFieldManager

All Implemented Interfaces:
  FieldConsumer, FieldManager, FieldSupplier

Direct Known Subclasses:
  AttachStrategy, DetachedValueStateManager, SingleFieldManager

     class TransferFieldManager

extends Object
implements FieldManager

FieldManager type used to transfer a single field value.

Author:
  Abe White

Field Summary
`protected double` | `dblval`
`protected int` | `field`
`protected long` | `longval`
`protected Object` | `objval`

Constructor Summary
`TransferFieldManager()`

Method Summary
`void` | `clear()` Clear any held state.
`boolean` | `fetchBooleanField(int field)` Return the value of the given field.
`byte` | `fetchByteField(int field)` Return the value of the given field.
`char` | `fetchCharField(int field)` Return the value of the given field.
`double` | `fetchDoubleField(int field)` Return the value of the given field.
`float` | `fetchFloatField(int field)` Return the value of the given field.
`int` | `fetchIntField(int field)` Return the value of the given field.
`long` | `fetchLongField(int field)` Return the value of the given field.
`Object` | `fetchObjectField(int field)` Return the value of the given field.
`short` | `fetchShortField(int field)` Return the value of the given field.
`String` | `fetchStringField(int field)` Return the value of the given field.
`void` | `storeBooleanField(int field, boolean curVal)` Set the value of the given field.
`void` | `storeByteField(int field, byte curVal)` Set the value of the given field.
`void` | `storeCharField(int field, char curVal)` Set the value of the given field.
`void` | `storeDoubleField(int field, double curVal)` Set the value of the given field.
`void` | `storeFloatField(int field, float curVal)` Set the value of the given field.
`void` | `storeIntField(int field, int curVal)` Set the value of the given field.
`void` | `storeLongField(int field, long curVal)` Set the value of the given field.
`void` | `storeObjectField(int field, Object curVal)` Set the value of the given field.
`void` | `storeShortField(int field, short curVal)` Set the value of the given field.
`void` | `storeStringField(int field, String curVal)` Set the value of the given field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dblval

    protected double dblval

### longval

    protected long longval

### objval

    protected Object objval

### field

    protected int field

Constructor Detail

### TransferFieldManager

    TransferFieldManager()

Method Detail

### fetchBooleanField

    public boolean fetchBooleanField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchBooleanField` in interface `FieldSupplier`

### fetchByteField

    public byte fetchByteField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchByteField` in interface `FieldSupplier`

### fetchCharField

    public char fetchCharField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchCharField` in interface `FieldSupplier`

### fetchDoubleField

    public double fetchDoubleField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchDoubleField` in interface `FieldSupplier`

### fetchFloatField

    public float fetchFloatField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchFloatField` in interface `FieldSupplier`

### fetchIntField

    public int fetchIntField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchIntField` in interface `FieldSupplier`

### fetchLongField

    public long fetchLongField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchLongField` in interface `FieldSupplier`

### fetchObjectField

    public Object fetchObjectField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchObjectField` in interface `FieldSupplier`

### fetchShortField

    public short fetchShortField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchShortField` in interface `FieldSupplier`

### fetchStringField

    public String fetchStringField(int field)

  Description copied from interface: `FieldSupplier`
  Return the value of the given field.

  Specified by:
    `fetchStringField` in interface `FieldSupplier`

### storeBooleanField

    public void storeBooleanField(int field,
                                  boolean curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeBooleanField` in interface `FieldConsumer`

### storeByteField

    public void storeByteField(int field,
                               byte curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeByteField` in interface `FieldConsumer`

### storeCharField

    public void storeCharField(int field,
                               char curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeCharField` in interface `FieldConsumer`

### storeDoubleField

    public void storeDoubleField(int field,
                                 double curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeDoubleField` in interface `FieldConsumer`

### storeFloatField

    public void storeFloatField(int field,
                                float curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeFloatField` in interface `FieldConsumer`

### storeIntField

    public void storeIntField(int field,
                              int curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeIntField` in interface `FieldConsumer`

### storeLongField

    public void storeLongField(int field,
                               long curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeLongField` in interface `FieldConsumer`

### storeObjectField

    public void storeObjectField(int field,
                                 Object curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeObjectField` in interface `FieldConsumer`

### storeShortField

    public void storeShortField(int field,
                                short curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeShortField` in interface `FieldConsumer`

### storeStringField

    public void storeStringField(int field,
                                 String curVal)

  Description copied from interface: `FieldConsumer`
  Set the value of the given field.

  Specified by:
    `storeStringField` in interface `FieldConsumer`

### clear

    public void clear()

  Clear any held state. Fields are also cleared automatically when fetched.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.